Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.farmaco.vo.consultazioneprontuariofarmaceutico
Class FarmacoResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.farmaco.vo.consultazioneprontuariofarmaceutico.FarmacoResponse

    public class FarmacoResponse

extends java.lang.Object

Dati di un farmaco:

- codice ministeriale
- nome
- tipo
- casa farmaceutica
- data fine vendita
- forma farmaceutica
- quantità per confezione
- ultimo periodo di erogabilità
- nota AIFA
- A.T.C.
- farmaco analgesico oppiaceo
- fascia concedibilità
- categoria di appartenenza
- prezzo
- D.D.D.

Version:
  1.1
Author:
  BisceglieR, CoppiR

Field Summary
`private java.lang.String` | `codCasaFarmaceutica` Codice casa farmaceutica
`private java.lang.String` | `codFarmaco` Codice ministeriale
`private int` | `codFormaFarmaceutica` Codice forma farmaceutica: 0 - COMPRESSE O CAPSULE, 1 - GOCCE OS, 2 - POLVERI E GRANULI PER OS, 3 - SCIROPPI, EMULSIONI, SOLUZIONE PER OS, 4 - FIALE E FLACONI INIETTABILI, 5 - SUPPOSTE E CLISTERI PER USO ANALE, 6 - CREME, OVULI E TAVOLETTE PER USO VAGINALE, 7 - PREPARATI OFTALMICI, 8 - PREPARATI PER USO ORALE ED ANESTETICI PER INALAZIONI, 9 - POMATE, POLVERI, SOLUZIONI PRE USO ESTERNO
`private int` | `codTipoFarmaco` Tipologia di farmaco: 1 - medicinale uso umano (specialità), 2 - medicinale denominazione generica, 3 - parafarmaco, 4 - farmaco con duplice via di somministrazione
`private java.lang.String` | `dataFineVendita` Data fine validità
`private java.lang.String` | `descFormaFarmaceutica` Descrizione forma farmaceutica
`private java.lang.String` | `descTipoFarmaco` Descrizione tipologia di farmaco
`private java.lang.String` | `nome` Denominazione
`private java.lang.String` | `nomeCasaFarmaceutica` Descrizione casa farmaceutica
`private PeriodoAtcResponse` | `periodoAtc` A.T.C.
`private PeriodoCategoriaResponse` | `periodoCategoria` Categoria di appartenenza
`private PeriodoDDDResponse` | `periodoDDD` D.D.D.
`private PeriodoErogabilitaResponse` | `periodoErogabilita` Ultimo periodo di erogabilità
`private PeriodoFasciaResponse` | `periodoFascia` Fascia di concedibilità
`private PeriodoNotaAifaResponse` | `periodoNotaAifa` Nota AIFA
`private PeriodoPrezzoResponse` | `periodoPrezzo` Ultimo periodo di prezzo
`private PeriodoFarmacoStupefacenteResponse` | `periodoStupefacente` Farmaco stupefacente
`private int` | `qtaInConfezione` QuantitàM per confezione

Constructor Summary
`FarmacoResponse()`

Method Summary
`java.lang.String` | `getCodCasaFarmaceutica()`
`java.lang.String` | `getCodFarmaco()`
`int` | `getCodFormaFarmaceutica()`
`int` | `getCodTipoFarmaco()`
`java.lang.String` | `getDataFineVendita()`
`java.lang.String` | `getDescFormaFarmaceutica()`
`java.lang.String` | `getDescTipoFarmaco()`
`java.lang.String` | `getNome()`
`java.lang.String` | `getNomeCasaFarmaceutica()`
`PeriodoAtcResponse` | `getPeriodoAtc()`
`PeriodoCategoriaResponse` | `getPeriodoCategoria()`
`PeriodoDDDResponse` | `getPeriodoDDD()`
`PeriodoErogabilitaResponse` | `getPeriodoErogabilita()`
`PeriodoFasciaResponse` | `getPeriodoFascia()`
`PeriodoNotaAifaResponse` | `getPeriodoNotaAifa()`
`PeriodoPrezzoResponse` | `getPeriodoPrezzo()`
`PeriodoFarmacoStupefacenteResponse` | `getPeriodoStupefacente()`
`int` | `getQtaInConfezione()`
`void` | `setCodCasaFarmaceutica(java.lang.String codCasaFarmaceutica)`
`void` | `setCodFarmaco(java.lang.String codFarmaco)`
`void` | `setCodFormaFarmaceutica(int codFormaFarmaceutica)`
`void` | `setCodTipoFarmaco(int codTipoFarmaco)`
`void` | `setDataFineVendita(java.lang.String dataFineVendita)`
`void` | `setDescFormaFarmaceutica(java.lang.String descFormaFarmaceutica)`
`void` | `setDescTipoFarmaco(java.lang.String descTipoFarmaco)`
`void` | `setNome(java.lang.String nome)`
`void` | `setNomeCasaFarmaceutica(java.lang.String nomeCasaFarmaceutica)`
`void` | `setPeriodoAtc(PeriodoAtcResponse periodoAtc)`
`void` | `setPeriodoCategoria(PeriodoCategoriaResponse periodoCategoria)`
`void` | `setPeriodoDDD(PeriodoDDDResponse periodoDDD)`
`void` | `setPeriodoErogabilita(PeriodoErogabilitaResponse periodoErogabilita)`
`void` | `setPeriodoFascia(PeriodoFasciaResponse periodoFascia)`
`void` | `setPeriodoNotaAifa(PeriodoNotaAifaResponse periodoNotaAifa)`
`void` | `setPeriodoPrezzo(PeriodoPrezzoResponse periodoPrezzo)`
`void` | `setPeriodoStupefacente(PeriodoFarmacoStupefacenteResponse periodoStupefacente)`
`void` | `setQtaInConfezione(int qtaInConfezione)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codFarmaco

    private java.lang.String codFarmaco

  Codice ministeriale

### nome

    private java.lang.String nome

  Denominazione

### codTipoFarmaco

    private int codTipoFarmaco

  Tipologia di farmaco: 1 - medicinale uso umano (specialità), 2 - medicinale denominazione generica, 3 - parafarmaco, 4 - farmaco con duplice via di somministrazione

### descTipoFarmaco

    private java.lang.String descTipoFarmaco

  Descrizione tipologia di farmaco

### codCasaFarmaceutica

    private java.lang.String codCasaFarmaceutica

  Codice casa farmaceutica

### nomeCasaFarmaceutica

    private java.lang.String nomeCasaFarmaceutica

  Descrizione casa farmaceutica

### dataFineVendita

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataFineVendita

  Data fine validità

### codFormaFarmaceutica

    private int codFormaFarmaceutica

  Codice forma farmaceutica: 0 - COMPRESSE O CAPSULE, 1 - GOCCE OS, 2 - POLVERI E GRANULI PER OS, 3 - SCIROPPI, EMULSIONI, SOLUZIONE PER OS, 4 - FIALE E FLACONI INIETTABILI, 5 - SUPPOSTE E CLISTERI PER USO ANALE, 6 - CREME, OVULI E TAVOLETTE PER USO VAGINALE, 7 - PREPARATI OFTALMICI, 8 - PREPARATI PER USO ORALE ED ANESTETICI PER INALAZIONI, 9 - POMATE, POLVERI, SOLUZIONI PRE USO ESTERNO

### descFormaFarmaceutica

    private java.lang.String descFormaFarmaceutica

  Descrizione forma farmaceutica

### qtaInConfezione

    private int qtaInConfezione

  QuantitàM per confezione

### periodoErogabilita

    private PeriodoErogabilitaResponse periodoErogabilita

  Ultimo periodo di erogabilità

### periodoNotaAifa

    private PeriodoNotaAifaResponse periodoNotaAifa

  Nota AIFA

### periodoAtc

    private PeriodoAtcResponse periodoAtc

  A.T.C.

### periodoStupefacente

    private PeriodoFarmacoStupefacenteResponse periodoStupefacente

  Farmaco stupefacente

### periodoFascia

    private PeriodoFasciaResponse periodoFascia

  Fascia di concedibilità

### periodoCategoria

    private PeriodoCategoriaResponse periodoCategoria

  Categoria di appartenenza

### periodoPrezzo

    private PeriodoPrezzoResponse periodoPrezzo

  Ultimo periodo di prezzo

### periodoDDD

    private PeriodoDDDResponse periodoDDD

  D.D.D.

Constructor Detail

### FarmacoResponse

    public FarmacoResponse()

Method Detail

### getCodFarmaco

    public java.lang.String getCodFarmaco()

### setCodFarmaco

    public void setCodFarmaco(java.lang.String codFarmaco)

### getNome

    public java.lang.String getNome()

### setNome

    public void setNome(java.lang.String nome)

### getCodTipoFarmaco

    public int getCodTipoFarmaco()

### setCodTipoFarmaco

    public void setCodTipoFarmaco(int codTipoFarmaco)

### getDescTipoFarmaco

    public java.lang.String getDescTipoFarmaco()

### setDescTipoFarmaco

    public void setDescTipoFarmaco(java.lang.String descTipoFarmaco)

### getCodCasaFarmaceutica

    public java.lang.String getCodCasaFarmaceutica()

### setCodCasaFarmaceutica

    public void setCodCasaFarmaceutica(java.lang.String codCasaFarmaceutica)

### getNomeCasaFarmaceutica

    public java.lang.String getNomeCasaFarmaceutica()

### setNomeCasaFarmaceutica

    public void setNomeCasaFarmaceutica(java.lang.String nomeCasaFarmaceutica)

### getDataFineVendita

    public java.lang.String getDataFineVendita()

### setDataFineVendita

    public void setDataFineVendita(java.lang.String dataFineVendita)

### getCodFormaFarmaceutica

    public int getCodFormaFarmaceutica()

### setCodFormaFarmaceutica

    public void setCodFormaFarmaceutica(int codFormaFarmaceutica)

### getDescFormaFarmaceutica

    public java.lang.String getDescFormaFarmaceutica()

### setDescFormaFarmaceutica

    public void setDescFormaFarmaceutica(java.lang.String descFormaFarmaceutica)

### getQtaInConfezione

    public int getQtaInConfezione()

### setQtaInConfezione

    public void setQtaInConfezione(int qtaInConfezione)

### getPeriodoErogabilita

    public PeriodoErogabilitaResponse getPeriodoErogabilita()

### setPeriodoErogabilita

    public void setPeriodoErogabilita(PeriodoErogabilitaResponse periodoErogabilita)

### getPeriodoNotaAifa

    public PeriodoNotaAifaResponse getPeriodoNotaAifa()

### setPeriodoNotaAifa

    public void setPeriodoNotaAifa(PeriodoNotaAifaResponse periodoNotaAifa)

### getPeriodoAtc

    public PeriodoAtcResponse getPeriodoAtc()

### setPeriodoAtc

    public void setPeriodoAtc(PeriodoAtcResponse periodoAtc)

### getPeriodoStupefacente

    public PeriodoFarmacoStupefacenteResponse getPeriodoStupefacente()

### setPeriodoStupefacente

    public void setPeriodoStupefacente(PeriodoFarmacoStupefacenteResponse periodoStupefacente)

### getPeriodoFascia

    public PeriodoFasciaResponse getPeriodoFascia()

### setPeriodoFascia

    public void setPeriodoFascia(PeriodoFasciaResponse periodoFascia)

### getPeriodoCategoria

    public PeriodoCategoriaResponse getPeriodoCategoria()

### setPeriodoCategoria

    public void setPeriodoCategoria(PeriodoCategoriaResponse periodoCategoria)

### getPeriodoPrezzo

    public PeriodoPrezzoResponse getPeriodoPrezzo()

### setPeriodoPrezzo

    public void setPeriodoPrezzo(PeriodoPrezzoResponse periodoPrezzo)

### getPeriodoDDD

    public PeriodoDDDResponse getPeriodoDDD()

### setPeriodoDDD

    public void setPeriodoDDD(PeriodoDDDResponse periodoDDD)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD